use serenity;

use super::super::prelude::*;

use serenity::prelude::*;
use serenity::{
    framework::standard::{macros::command, Args, CommandResult},
    model::channel::Message,
};

#[command]
fn pause(ctx: &mut Context, msg: &Message, _: Args) -> CommandResult {
    if !channel_contains_author(ctx, msg) {
        println!(
            "user {} is not in the same voice channel as the bot",
            msg.author.name
        );
        return Ok(());
    }

    let data = ctx.data.read();
    let media = match data.get::<Media>() {
        Some(media) => media,
        None => {
            display_error_ok!(msg.channel_id.say(&ctx.http, "could not find media data"));
            return Ok(());
        }
    };

    if let Some(song) = media.song() {
        let mut lock = song.lock();
        lock.pause();
    }

    Ok(())
}
